package com.mvc.dao;

import com.mvc.entity.TMaintenanceRecords;
import com.mvc.entity.TMaintenanceRecordsExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface TMaintenanceRecordsMapper {
    long countByExample(TMaintenanceRecordsExample example);

    int deleteByExample(TMaintenanceRecordsExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(TMaintenanceRecords record);

    int insertSelective(TMaintenanceRecords record);

    List<TMaintenanceRecords> selectByExample(TMaintenanceRecordsExample example);

    TMaintenanceRecords selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") TMaintenanceRecords record, @Param("example") TMaintenanceRecordsExample example);

    int updateByExample(@Param("record") TMaintenanceRecords record, @Param("example") TMaintenanceRecordsExample example);

    int updateByPrimaryKeySelective(TMaintenanceRecords record);

    int updateByPrimaryKey(TMaintenanceRecords record);
}